API Reference

Batch Templates

3 endpoints· Auth: JWT or API Key
get/api/v1/console/production/batch-templates JWT API Key

Get batch-templates

Query parameters

Active
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/batch-templates" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/production/batch-templates JWT API Key

Create batch-templates

Request body

application/json
{
  "nameAr": "string",
  "nameEn": "string",
  "labourCostIqd": 0,
  "notes": "string",
  "outputs": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "code": "string",
      "allocationWeight": 0,
      "yieldPerDriverUnit": 0,
      "shelfLifeHours": 0,
      "sortOrder": 0
    }
  ],
  "inputs": [
    {
      "role": "string",
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "defaultQty": 0
    }
  ]
}
nameAr
string
—
nameEn
string
—
labourCostIqd
integer (int64)
—
notes
string
—
outputs
CreateBatchTemplateOutputRequest[]
—
inputs
CreateBatchTemplateInputRequest[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/batch-templates" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "nameAr": "string",
  "nameEn": "string",
  "labourCostIqd": 0,
  "notes": "string",
  "outputs": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "code": "string",
      "allocationWeight": 0,
      "yieldPerDriverUnit": 0,
      "shelfLifeHours": 0,
      "sortOrder": 0
    }
  ],
  "inputs": [
    {
      "role": "string",
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "defaultQty": 0
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/production/batch-templates/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/production/batch-templates/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu